[ATrpms-users] Re: rpm package problem on FC2

Axel Thimm Axel.Thimm at atrpms.net
Tue Jul 19 18:15:05 CEST 2005


On Tue, Jul 19, 2005 at 05:46:40PM +0200, Kim Bisgaard wrote:
> Now I have updated rpm,librpm,popt,rpm-build,rpm-python using a FC1 
> /bin/rpm, but when I run "yum list updates" I get:
> 
> rpmdb: unable to initialize mutex: Function not implemented
> rpmdb: /var/lib/rpm/__db.001: unable to initialize environment lock: 
> Function not implemented
> error: db4 error(38) from dbenv->open: Function not implemented
> error: cannot open Packages index using db3 - Function not implemented (38)
> error: cannot open Packages database in /var/lib/rpm
> 
> I then inserted "%__dbi_cdb  create cdb private mpool mp_mmapsize=16Mb 
> mp_size=1Mb" into /etc/rpm/macros".
> That let me do an "rpm --rebuilddb", and *now yum works again*
> 
> If I remove /etc/rpm/macros - I'm back with errors again.
> 
> I safely leave it to you to figure out *why* :-)

Could you remove /var/lib/rpm/__*? And if that's not enough rebuild
the database with

LD_ASSUME_KERNEL=2.4.1 rpm --rebuilddb

Thanks!
-- 
Axel.Thimm at ATrpms.net
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: not available
Url : http://lists.atrpms.net/pipermail/atrpms-users/attachments/20050719/fbd9791c/attachment.bin


More information about the atrpms-users mailing list